Welcome

Welcome to SpectraPLUS-RT

SpectraPLUS-RT is a powerful dual channel spectrum analyzer. The program interfaces with any Windows compatible sound card to provide real time spectral analysis. It supports Narrowband, 1/1 Octave and 1/3 Octave measurements and includes a Recorder and a Signal Generator utility which produces tones, pink noise, white noise, and swept or stepped sinewaves. Although all signal processing is performed on the CPU, real-time performance is possible with today's machines.

See Also: Basic Operation , What is a Spectrum Analyzer


What is a Spectrum Analyzer

A spectrum analyzer is an instrument used to convert a signal from the time domain (amplitude-vs-time) to the frequency domain (amplitude-vs-frequency). If you are familiar with an ordinary oscilloscope you know what a time domain display looks like. A frequency domain display is known as a spectrum. Unless you are measuring a single tone, an oscilloscope provides little in the way of frequency information; however, a spectrum analyzer clearly reveals this information. An Audio Spectrum Analyzer, by definition, is limited to processing signals in the audio band. The specific frequency limit is determine by the capabilities of your sound card (see sampling rate for more details).

What Can it Do?

An Audio Spectrum Analyzer is very useful for measuring the fundamental frequency components which are contained in an audio signal. It can accurately measure the frequency of single or multiple tones and the frequency difference between them.


System Requirements

Current Minimum System Requirements:

XP, Vista, Win 7, Win 8/8.1 (both 32 and 64 bit versions supported)

1GB RAM, 40MB hard disk space

1024 x 768 or greater display resolution

Windows compatible sound card

Mouse or other pointing device


Basic Operation

The analyzer program works in conjunction with the sound card on your computer. Most computers have a sound card built into the system; however, an external USB based sound card is often a better choice due to more robust connectors and improved performance. Plug the audio signal to be measured into the Line-In or Microphone jack on the sound card. SpectraPLUS-RT then uses the card to perform an "Analog-to-Digital" conversion on the audio signal. This digitized audio is then passed through a math algorithm known as a Fast Fourier Transform (FFT) which converts the signal from the time domain to the frequency domain. The CPU on your computer is used to perform this transformation.

The analyzer and continuously processes the input signal and plots the spectral data.

See also: Setting up the Analyzer


Setting up the Analyzer

Setup the hardware:

Install the sound card and driver (refer to instructions included with your hardware) and connect the audio signal you wish to measure to the Line-In or Microphone jack on the sound card.

Frequency Range:

Prior to making a measurement, you need to determine what frequency range you are interested in, and what frequency resolution is required. Go to the Settings dialog box by selecting the <Options><Processing Settings> menu. Set the Sampling Rate to at least twice the highest rate that you wish to measure.

Axis Scaling:

Go to the Processing Settings dialog box and select the desired scaling options. The program defaults to Logarithmic amplitude scaling and Logarithmic frequency scaling.

Start the analyzer

Click <Run> on the sidebar or use the associated accelerator key <alt> <R> to start the processor. The display will then begin updating.

Stop the analyzer and make a measurement

Click <Stop> on the toolbar or use the associated accelerator keys <alt> <S> to stop the processor. Use the mouse to point to a feature of interest on the plot and press the left mouse button. Measurement boxes will appear which contain the corresponding plot values. (See Cursor Measurements for more information).

Print the results

Selecting the <Print> menu item will print the spectrum plot on the selected printer. You will also have an opportunity to enter custom annotation which is printed along the top center of the page.

See also: Basic Operation, What is a Spectrum Analyzer? , Printing , Keyboard Shortcuts


Cursor Measurements

Left Mouse Button:

Pressing the left mouse button anywhere within the plot region will display horizontal and vertical measurement boxes containing the values of the X and Y positions pointed to.

Control Key + Left Mouse button:

Holding down the Control Key and clicking the left mouse button anywhere within the plot region and dragging will display horizontal and vertical measurement boxes containing the differential values of the X and Y positions relative to the starting point. This is very useful for measuring the difference between two points on the plot.

Shift Key + Left Mouse button:

Holding down the Shift Key and clicking the left mouse button anywhere within the plot region will display a set of "harmonic cursors". These cursors show the first 10 harmonic frequencies. This is very useful for identifying harmonically related components within a complex spectrum.

Control + Shift Key + Left Mouse button:

Holding down both the Control and Shift Keys and clicking the left mouse button anywhere within the plot region will display a set of "sideband cursors". These cursors show additional measurement lines on both the upper and lower sides of the start point. This is very useful for identifying modulation related components within a complex spectrum.

Right Mouse Button:

Pressing and holding the right mouse button within any view will activate a popup menu containing additional editing and processing options. The contents of this popup menu depends upon the specific view. See the Right Click Menu topic for more information.

The Spectrum plot will "pull" the cursor to the trace along the amplitude axis. This can be disabled from the Plot Options dialog box or by Right Click Menu .

Notes:

  • It is recommended that you "Stop" the Analyzer while using these cursor measurements. There are no corresponding keyboard commands.

See also: Keyboard Shortcuts,


Right Click Menu

A single click with the right mouse within the plot area of any view will activate a menu containing a variety of additional actions.

Copy as Text - copies the displayed spectrum values to the clipboard in tab delimited text format.

Write to Text File - writes the displayed spectrum values to an ASCII text file.

Copy as Bitmap - copies the plot image to the clipboard in standard bitmap format.

Clear Spectrum - clears the current spectrum. This is useful if you wish to view/print overlays with just the peak hold trace

Clear Peak Hold - clears the current spectrum. This is useful if you wish to view/print overlays without the peak hold trace.

Autoscale Specctrum - Evaluates the data and sets the Plot Top/Range parameters to optimum values.

Pull Cursor To Trace - If this option is enabled, the measurement cursor will automatically "pull" to the spectrum trace along the amplitude axis.

Set Calibration to 0 dBr at this frequency - Sets the calibration reference point to 0.0 dBr. This will cause the analyzer to compute and apply calibration values that will result in a level of 0 dBr at the frequency corresponding to the mouse position (it is recommended that you zoom in on the display in order to make sure that the desired frequency is accurately selected). Use this if you want to quickly normalize the trace such as when performing a frequency sweep test. Note - the mouse position is only used to determine the frequency; the analyzer will determine the signal level at the selected frequency based on the underlying spectral data.

Set Marker N - activates marker N at the frequency of the mouse click point.

Clear Marker N - clear individual markers

Marker Options - activates the Marker Options dialog box

View Data Values - displays a table containing the current spectrum values. The contents of this table will update whenever the display changes.

Properties - activate the display options dialog box.

Help - activates the online help.

See Also: Spectrum Plot


Printing the results

Select the <Print><Print> menu. Change any printer options and click OK.

The <Print><Print Setup> menu command allows you to select various options specific to your printer.

Annotation: Two user defined lines of annotation are provided. These are centered along the top portion of the printout.

Margins: Set as desired.

Comments: You can include up to 10 comment lines which will be printed below the plot.

Note: If you Right Click on the plot a menu will popup. The option "Copy As Bitmap" will place the spectrum plot on the Windows clipboard - you can paste this into a report.


Spectrum Plot

This plot is a 2 dimensional plot of the spectrum. The horizontal axis shows the frequency in Hertz (Hz). The vertical axis shows the amplitude of each frequency. The amplitude scale can be modified using the calibration option.

The zoom buttons on the toolbar allow you to easily adjust the displayed frequency span.

The mouse can be used to measure the frequency and amplitude information directly off the plot. In addition, right clicking on the plot and choosing the "Copy as Text" menu item will place the current spectral data on the clipboard in tabular format. This can be directly pasted into any spreadsheet or text file.

Toolbar Controls

Spectrum Plot Options

Overlays

Cursor Measurements

See Also: Processing Settings , Measurement Accuracy , Performance Issues


Settings

Processing Settings

Click the Options | Processing Settings menu and click on the Settings tab or click the Settings button on the Sidebar. The dialog box contains the following options:

Sampling Rate

Sampling Format

Averaging Settings


Calibration

Click the Options | Processing Settings menu and click on the Calibration tab or click the calibration button on the sidebar.

By default, the analyzer shows the relative power levels where 0dB is the strongest possible 8, 16 or 24 bit signal. You can calibrate the analzyer to a variety of engineering units; there are three calibration methods:

1) External Reference Signal

This method requires an external signal with a known level.

Procedure:

  • Connect a steady state reference tone to the input of the sound card (do not use a DC level or noise signal).
  • Enter the reference signal level in the edit control (you can use an oscilloscope or voltmeter to measure the signal level at the input to the sound card).
  • Select the reference signal type: "Peak", "RMS" or "Peak to Peak" as appropriate (e.g. voltmeters produce RMS values).
  • Select the applicable units for the input reference signal or enter custom labels.
  • Press the "Measure Input Signal" button. The analyzer will acquire several seconds of input data and compute the corresponding scale factors for each channel.

2) Internal Hardware Calibration

This method requires the SpectraDAQ-200 hardware.

Select the desired engineering units (Volts, Millivolts or dBu).

3) Directly to Transducer Sensitivity

This method requires the SpectraDAQ-200 hardware.

Select the desired transducer type (microphone, accelerometer, hyrdophone).

Enter the transducer sensitivity from the datasheet provided by the transducer manufacturer. The analyzer will convert the detected voltage to the corresponding engineering units based on this sensitivity.

Additional Notes:

You may customize the labels by directly modifying them in the edit box.

You may save the calibration settings in a file and reload them as needed. The current calibration settings are always saved in configuration files and restored when loaded.

Digiducer USB Accelerometer - if this device is installed and selected as the input device, a special button will be shown that will read the embedded calibration values directly from the device.

Quick Calibration - If you Right Click on the plot a menu will popup. The option "Set Calibration to 0 dBr at this Frequency" will quickly set the 0 dBr reference.

Very Important - Most sound cards provide a mixer utility to allow you to set the input gain of the sound card. If the input gain is changed, the calibration is no longer valid.

If you change the SpectraDAQ-200 input voltage range the analzyer will automatically recalculate the internal calibration values for you. This applies for all calibration methods when the SpectraDAQ-200 hardware is used

See also: SpectraDAQ-200 , Settings


Device Options

Click the Options | Processing Settings menu and click on the I/O Device tab.

This allows you to select a specific sound card if more than one is installed in your system.

The Input Device is used by the analyzer when running. The Output Device is used to generate a test signal using the Signal Generator Utility.

Adjust Input/Output gain - this will launch the Mixer utility provided with the operating system. This allows you to adjust the sensitivity of the line in or mic inputs. The output gain settings control the playback/generator volume. Not all sound cards allow the gain/volume to be controlled.

Sound Card Driver Mode

Controls the type of driver used to access the hardware:

Standard Windows Multimedia Driver (MME) - this is the standard used by the Windows operating system and supported by the majority of sound cards. It is very stable and provides support for a full range of sampling rates by converting the physical sampling rate of the hardware to match the desired rate. In some cases this sampling rate conversion can introduce spectral artifacts.

Audio Stream Input Output (ASIO) - this is a standard developed by Steinberg Media Technologies GmbH and allows direct access to the hardware. This mode allows low level access to the sound card hardware. The supported sampling rates are limited but there is very low "latency" involved because of the direct hardware access. Not all sound cards provide ASIO drivers.

Note: When ASIO mode is used the signal generator cannot be started and stopped independently of the main analyzer.

SpectraDAQ-200

When the SpectraDAQ-200 is selected as the input device the following options are available

Input Range: This allows you to set the maximum input voltage for the A/D converters. If you change the input range the calibration will automatically apply the correct gain to the measurement. The input range is applied to both channels.

IEPE power: You can enable IEPE power (4ma constant current) for powering microphones, accelerometers and other IEPE compliant transducers. This eliminates the need for an external power supply and simplifies the setup and wiring.

IEPE is equivalent to ICP (a trademark of PCB Electronics).

Put SpectraDAQ-200 into low power mode when program closes: The DAQ requires significant power due to the professional quality electronics and uses USB 3.0 for this reason. You can have the DAQ go to a low power standby mode - this will save power when using a laptop of tablet. It will take slightly longer to startup and shutdown.

For best performance use the ASIO driver mode when the SpectraDAQ-200 hardware is selected.

See Also: SpectraDAQ-200 , Calibration


Signal Generator

The signal generator utility operates in conjunction with the playback channel of any Windows compatible sound card to produce a variety of test signals. Selecting the <Utilities><Signal Generator> menu command or pressing the F11 key will launch the signal generator.

Basic Operation

  • Select the type of waveform you wish to generate by clicking on the list of waveforms.
  • Click the "Details" button to modify the specified waveform (not all waveform types have user options).
  • Click the "Level" button to specify the generator output level .
  • Click the "Run" button to start the generator.
  • When the generator is running, the window will change to show only a single "Stop" button.

Waveform types

White Noise

Pink Noise

1 kHz Tone

Multiple Tones

Frequency Sweep

Frequency Step

Level Sweep

Signal Accuracy

The accuracy of the signal is partly determined by the sound card itself. The accuracy of the sampling rate clock in the card will govern the accuracy of the frequency characteristics. In addition, many sound cards will not generate DC components. These cards are "AC coupled" and as such, intentionally filter out or reject any DC component.

Lock Signal Generator Channels

This menu option locks the left and right channels so that the selected left channel signal is routed to both the left and right channels.

See Also: Generator Output Level , Device Options


Recorder

The recorder utility allows you to record and playback from standard WAV files. The analyzer will process and display the spectral data during recording/playback so that you can analyze the contents of the file.

Because the recorder and the analyzer must use the same format (sampling rate, sampling precision, channels), some of the analyzer settings may change when you open a file. For instance, the analyzer will switch to single channel operation if you open a mono WAV file.


Peak Frequency

The peak frequency utility will display the frequency of the strongest spectral component in the entire span (not just what is displayed). This utility window can be resized as required by the user and its contents will update anytime a new spectrum is computed. If the analyzer is configured to display the spectrum of both the left and right channels, this utility window will also show the value for both channels. The left channel value will appear above the right channel value.


Peak Amplitude

The peak amplitude utility will display the amplitude of the strongest spectral component in the entire span (not just what is displayed). This utility window can be resized as required by the user and its contents will update anytime a new spectrum is computed. If the analyzer is configured to display the spectrum of both the left and right channels, this utility window will also show the value for both channels. The left channel value will appear above the right channel value.


Total Power

The total power utility will display the total RMS power level for the entire spectrum and is equal to the total power bar on the right side of the spectrum view. The weighting (Flat, A, B or C) used for this utility is set under the Processing Settings options dialog box.

This utility window can be resized as required by the user and its contents will update anytime a new spectrum is computed. If the analyzer is configured to display the spectrum of both the left and right channels, this utility window will also show the value for both channels. The left channel value will appear above the right channel value.


Licensing

This software is copy protected using one of the following methods:

  • A "Software Key" contained on the hard drive
  • A "Hardware Key" which is plugged into the computer's USB Port
  • A "Network Hardware Key" which is plugged into this or another computer on the network
  • A License Key stored on the SpectraDAQ-200 data acquisition module

You can examine the license status at any time by selecting the <License><Status and Authorization> menu command. The program defaults to using the Software Key method; Hardware Keys can be purchased as a option for users who need to frequently transfer the license between computers or who simply prefer having a tangible physical key.

Software Key Method

This method uses a "Site Code" and "Authorization Key" technique which restricts the operation to a specific computer. No Hardware Key is required.

The "Site Code" is a number which is unique to your computer and is used to generate the matching "Authorization Key" to enable program operation. Because the Site Code is computer specific, we cannot provide you the corresponding Authorization Key until you send us your Site Code. This Site Code is easily obtained by selecting the <License><Status and Authorization> menu command clicking the "Authorize" button.

Click the "Authorize" button to display the "Site Code" unique to your computer. Click the "Print Site Code" button to print a page containing the site code which you can fax to your software vendor. When you receive your authorization key, return to this dialog box and enter the key. Please note that the Site Code will not change when you exit the program.

Transferring the Software Key to another computer

To transfer the Software Key, Go to the <License><Status & Authorization> menu and click the "Transfer Key" button and follow the instructions. There are two basic transfer methods: 1) directly over a local network connection, and 2) using a floppy diskette or a USB memory stick. Both methods require that you first install a copy of SpectraPLUS-RT on the computer to which will be receiving the license. Please note that method 2) requires that the floppy disk or USB memory stick first be "registered" using the UNLICENSED copy of SpectraPLUS-RT. After registering the Software Key can be transferred "Out" using the LICENSED copy of SpectraPLUS-RT and then transferred "In" using the UNLICENSED copy.

Because transferring the Software Key requires access to both computers involved in the transfer this is not always a practical solution. If you regularly transfer the license between computers, or if the computers are at different geographical locations, a Hardware Key may offer greater convenience. Please contact your software vendor to obtain a Hardware Key.

Hardware Key Method

This method uses a physical hardware device also known as a "dongle". This hardware key is delivered with the software and is preprogrammed with the license information.

  • You must install the Hardware Key device driver before the program will detect the key.
  • The Hardware Key device driver is provided on the installation CD-ROM and are also available on the download section of our website.

Network Hardware Key Method

This method also uses a USB hardware key device but contains the ability to manage multiple licenses over the network. The Network Hardware Key allows multiple users to be running the software simultaneously and only one Network Hardware Key is required. The Key is preprogrammed with a user limit that, once reached, will not allow additional copies to run until other copies are shutdown. If a machine running SpectraPLUS-RT crashes or is detached from the network, it will not have a chance to release its license; however, the license server will automatically release the license if communications are lost for more than about 5 minutes or so.

The Network Hardware Key can be installed on any machine on the local network but requires the installation of a "License Server" device driver. This "License Server" component is provided with the Network Key and only needs to be installed on the machine containing the Network Hardware Key. All other machines that will be running SpectraPLUS-RT only need to have the normal Hardware Key device driver installed.

  • The SpectraPLUS-RT software must be installed on each local machine
  • The standard Hardware Key driver must be installed on each local machine
  • One of the machines in the network must have the Network Hardware Key installed and is designated the "license server".
  • The "license server" does not have to be a true "server" but can simply be one of the computers in a peer to peer network.
  • The "license server" hardware key device driver must be installed on the machine with the Network Hardware Key.

Additional network options allow you to specify a specific server and protocol but in most cases selecting the option labelled "Automatically find the license server on the network" should be used.

A Monitoring Tool is provided with the License Server to allow the administrator to check the number of copies in use.

SpectraDAQ-200 Method

This method requires the SpectraDAQ-200 data acquisition module. The license information is read directly from the device. The SpectraDAQ-200 must be connected to the computer and the drivers installed but does not need to be the selected device for the license to be accessed.

Adding additional options to the SpectraDAQ license

Additional product options can be added to the license in the field. Contact your software vendor to purchase the options or upgrade; you will then be given a "Field Activation Key". Go to the <License><Status & Authorization> menu and click the "Authorize" button and enter the Activation Key; this will update the license information stored on the SpectraDAQ-200 hardware module.


Measurement Accuracy

Frequency Accuracy:

The frequency accuracy depends directly on the accuracy of the sampling clock on the sound card. This is typically a fraction of a Hertz (Hz). You may wish to check your sound card by using a known signal source for comparison.

Amplitude Accuracy:

By default, the analyzer is calibrated to show the relative power levels where 0dB is the strongest possible 16 or 24 bit signal. It is possible to calibrate the amplitude axis by equating a known reference signal level with a measured sampling level; however, the frequency response of your sound card still comes into play..

Octave Scaling Accuracy:

Historically, spectrum analyzers have utilized analog filters for each band and standards (ANSI S1.11-2004) have been developed which specify the performance of these filters . SpectraPLUS-RT uses a Fast Fourier Transform (FFT) to compute the spectral data and then derives the octave data. This algorithm uses the same ISO center frequencies and bandwidths as analog instruments; however, the FFT filtering method produces much steeper "shoulders". These digital filters meet or exceed the performance of traditional analog filters.

Dynamic Range:

The theoretical dynamic range of the system is as follows:

16 bit sampling precision = 96 dB

24 bit sampling precision = 144 dB

The actual dynamic range achieved is dependent upon the performance of your sound card.

See also: Settings , Calibration


Keyboard Shortcuts

The main sidebar contains icons for controlling the processor. Each icon's label has one of the letters underlined. Pressing the <Alt> key and the underlined letter will perform the same action as a button press.

In the same way, keyboard shortcuts are available for many of the menu items. Pressing the <Alt> key and the underlined letter in the menu and sub-menu item will allow quick access to the commands.

Additional shortcut keystrokes called "accelerator keys" are available for selected menu items:

Accelerator keys:

F1 Help

F2 Run

F3 Stop

F4 Processing Settings dialog box

F5 Plot Options dialog box

F9 Calibration dialog box

F11 Signal Generator Utility

F12 Recorder Utility

Ctrl+P Print

Alt+F4 Exit the application

See also: Toolbar, Status bar


Toolbar

Toolbars

SpectraPLUS-RT contains both a main application Sidebar and a Plot Toolbar:

Sidebar

Plot Toolbar

See also: Basic Operation, Keyboard Shortcuts , Cursor Measurements


Status Bar

The status bar is located along the bottom edge of the application. It contains the status of key processing parameters as well as a signal level indicator.

Run status (Stopped, Running etc).

Sampling Format.

Notes: Clicking the mouse on one of the Sampling Format parameters will popup a menu allowing you to quickly change the current settings.


Technical Support

Please feel free to call or write.

Before calling, make sure that your sound board is properly installed and that the correct sound driver is installed. A good test to determine if your sound card is working is to run the "Sound Recorder" utility provided with Windows in the Accessories group. Also, take a moment to view the "README.TXT" file for additional instructions.

Pioneer Hill Software LLC, 24460 Mason Rd NW, Poulsbo WA 98370 USA

360 697-3472 (voice)

360-824-6031 (fax)

pioneer@spectraplus.com

www.spectraplus.com

Copyright 1993-2015, PHS

All Rights Reserved.

Legal Notices and Trademark attributions.

All trademarks are the property of their respective owners.


Acoustic Response of a Room

Measuring the acoustic response will enable you to properly adjust the equalizer settings on your sound system for optimum performance. A typical procedure is described below:

Key Settings:

Amplitude axis: Logarithmic

Frequency Resolution: 1/3 Octave

Standard Weighting: Flat

Sampling rate: 44100Hz

Averaging size: Forever

Signal Generator Pink Noise

Procedure:

  • Set your sound system equalizer settings to zero or take it off line.
  • Connect the signal generator to the input of your sound system.
  • Place the measurement microphone in the center of the room.
  • Adjust the sound card input gain and/or sound system output gain as needed
  • Run the analyzer and examine the spectrum. Stop the analyzer when the averaged spectrum response has settled sufficiently.

Interpret the results:

An acoustically "flat" room will produce a perfectly flat spectrum. In this instance, we are not concerned so much with the absolute values of the spectrum as with their relative response. Each 1/3 octave band corresponds to a slider on your 1/3 octave equalizer. Simply adjust the sliders on your equalizer to compensate for the acoustic response of the room. You may wish to run a second test to verify the results.

Narrowband frequency response (optional):

One limitation of 1/3 octave analysis is that each band represents a rather wide span of frequencies. If narrowband frequency components are present, 1/3 octave analysis lacks sufficient resolution to detect these components. Set the frequency Resolution to Narrowband and substitute white noise instead of pink and repeat the measurement above.


Plot Toolbar

Zoom Selector: Allows you to graphically select the frequency span to expand. Click the Zoom Selector button, then click and drag the mouse across a range of frequency data. When the mouse button is released, the display will zoom in to show only the selected frequency span.

Zoom In 2X: Adjusts the horizontal axis to display one half as many data points.

Zoom Out 2X: Adjusts the horizontal axis to display twice as many data points.

Zoom Out Full: Shows the entire range of frequencies.

Line Graph button: Changes the spectrum plot type to a Line Graph.

Stepped Bar Graph button: Changes the spectrum plot type to a Stepped Bar Graph.

Bar Graph button: Changes the spectrum plot type to a Bar Graph.

Display options button: Activates the display options dialog box for the associated view. This performs the same action as the <Options><Spectrum> menu item.

Markers: Access the marker settings

Autoscale button: Evaluates the currently displayed spectral data and sets the Plot Top/Range parameters to optimum settings.

Plot Top: Changes the value of the top edge of the amplitude axis scale. This corresponds to the same control in the display options dialog box for the view. Clicking on the up/down arrows allows you to quickly adjust the plot window as needed.

Plot Range: Changes the total displayed range of the amplitude axis scale. This corresponds to the same control in the display options dialog box for the view. Clicking on the up/down arrows allows you to quickly increase or decrease the displayed dynamic range.

Peak Hold: Set Peak Hold type peak hold (spectrum plot only)

: Main Toolbar


Octave Scaling

Octave band analysis has been defined as a standard for acoustic analysis. This type of spectrum is called constant percentage band (CPB) because each frequency band is a constant percentage of its center frequency. In other words, the analysis bands become wider in proportion to their center frequencies. 1/1 and 1/3 octave spectra are the most frequently used formats in acoustical measurements - three 1/3 octave bands encompass one octave.

It can be argued that the frequency resolution in octave band analysis is too poor to be of much use, but a major advantage of constant percentage band analysis is that a very wide frequency range can be displayed on a single graph and the frequency resolution at the lower frequencies can still be fairly narrow. The naturally occurring ambient spectra will be found to slope downwards at the highest frequencies, and a constant percentage band (CPB) spectrum of the same data will usually be more uniform in level over a broad frequency range. Pink noise slopes downward at 3dB per octave and produces a perfectly flat octave spectrum.

Standard octave band center frequencies and bandwidths have been agreed upon by the international community. These standards are used by SpectraPLUS-RT.

Most octave analyzers are analog instruments and use analog filters for each band. SpectraPLUS-RT is a digital analyzer and utilizes the FFT algorithm to compute the narrowband (linear) frequency spectrum. This linear frequency spectrum is then apportioned among the octave bands to produce the corresponding octave spectrum.

See also: FFT size Standard Frequency Weighting


Contents

Introduction

Welcome

What is a spectrum analyzer?

System Requirements

Making a Measurement

Basic Operation

Setting up the analyzer

Cursor measurements

Right Click Menu

Printing the Results

Options

Processing Settings

Plot Options

Utilities

Signal Generator

Recorder

Peak Frequency

Peak Amplitude

Total Power

Licensing

Status and Authorization

Performance Issues

Measurement Accuracy

Misc

Keyboard Shortcuts

Toolbars

Status bar

Set Paths

Application Notes

SpectraDAQ-200

Technical Support


Amplitude Axis Scaling

Two basic amplitude scaling types are linear and logarithmic. They are related by the following equations:

Linear value = 10 ^ (Log value/20)

Log value = 20 * Log10 (Linear value)

Linear amplitude scaling makes the largest components in a spectrum very easy to see and to evaluate, but very small components may be overlooked completely. Linear scaling may be adequate in cases where the components are all about the same size. Logarithmic amplitude scaling clearly shows the low level signals in the presence of stronger signals. Logarithmic scaling is the default.

Log Magnitude scaling uses linear units on a logarithmic scale.


Frequency Axis Scaling

There are two basic types of frequency axis scaling: Narrowband and Octave. Narrowband scaling can be displayed in either Linear or Logarithmic format; Octave scaling is always displayed in Logarithmic format.

Narrowband Scaling

The spectrum produced by an FFT algorithm is also known as a narrowband spectrum. Each spectral line is a constant bandwidth and typically quite narrow. This narrowband spectral data can be displayed on either a linear or logarithmic scale.

Octave Scaling

Octave scaling produces a set of bands with constant proportional bandwidth. You can select from 1/1 and 1/3 octave resolution. See the Octave Scaling topic for more details.

See Also: Amplitude Axis Scaling


Measurement Utilities

These measurement utility windows can be resized as required by the user and their contents will update anytime a new spectrum is computed. If the analyzer is configured to display the spectrum of both the left and right channels,these utility windows will also show the values for both channels. The left channel value will appear above the right channel value.

Peak Frequency

Peak Amplitude

Total Power


Set Paths

This option allows you to customize the default file directories for each of the file types utilized by the software.

Set or Create All Paths - this allows you to easily change all the file paths without having to edit each one. If the specified folder is not found it will be create along with the underlying data folders.

Set Defaults - restores the data paths to their original installed location (typically \My Documents\User\SpectraPLUS_RT)


Sidebar

The controls on the main sidebar allow easy access to commonly used settings. These controls duplicate the functionality found in the Settings dialog box.

Run Start the analyzer

Stop Stop the analyzer

Avgeraging Adjust the averaging speed

Resolution Set Narrowband , 1/1 or 1/3 Octave resolution

Settings Opens the Processing Settings dialog box

Calibrate Opens the Calibration dialog box

Device Opens the Device Options dialog box

Generator Open or close the Signal Generator Utility

Recorder Open or close the Recorder Utility

See Also: Plot Toolbar


Spectrum Plot Options

The spectrum display options dialog box can be activated by selecting the Options | Plot Options menu or by clicking on the options dialog icon button on the toolbar .

Plot Type: You can change between line, bar and stepped bar graphs by clicking on the toolbar controls or from the spectrum display options dialog box. The line or stepped bar graph option is recommended when using Narrowband resolution . The bar graph option is recommended when Octave scaling is selected or when zoomed in with narrowband scaling.

Plot Top/Range: The Plot Top and Range values determine the amplitude axis scale values. Plot Top is the value at the upper edge of the plot. The lower edge of the plot is always equal to the Top value minus the Range value. When linear scaling is selected for the amplitude axis, the Plot Range value is set to zero and cannot be changed.

Peak Hold: Control the behavior of the Peak Hold trace showing the highest amplitude values for each frequency. For information on the Peak Hold feature see the Peak Hold topic.

Pull Cursor to Trace: If this option is enabled, the measurement cursor will automatically "pull" to the spectrum trace along the amplitude axis. You can also change this option by right clicking on the plot.

Show Toolbar: Show or hide the plot toolbar.

Show Overlay Controls: Show or hide the overlay controls on the right side of the Spectrum Plot. A small + or - button below the overlay controls also controls this feature.

Colors: The color of each plot feature can be changed. The "Default" button will restore the initial colors settings.

Marker Options: Setup the markers . The marker settings can also be accessed by clicking the "Mrk" button on the spectrum plot toolbar.

Grid Lines: Show or hide the grid lines.

Frequency Span: Although the displayed frequency span can easily be selected using the zoom buttons on the toolbar, you can also manually enter the span yourself. The span is limited to the total available span. The actual span displayed may vary slightly from the requested values because the values are adjusted to the nearest spectral line.

Display Update Interval: Controls how often the display is updated. This is useful on some laptop computers with slow display refresh rates to reduce flicker.

Show Total Power Meter: the total power meter is located along the right side of the spectrum plot and shows the "Total" power of the spectral data. This value is equal to the Total Power utility. A different weighting curve can be applied to this value (this is set in the Processing Settings dialog box). A small + or - button below the meter also controls this feature.

Show Zoomed Power Level: If enabled, the RMS Power level will be computed and displayed above the top left corner of the plot. This power level is computed for the currently displayed span and will change as you zoom in and out. Use this feature to compute the power within any segment of the spectrum. The weighting used for this calculation is the same as the spectrum weighting parameter in the Processing Settings dialog box.

See Also: Spectrum Plot , Toolbar


Overlays

The overlay feature allows you to display multiple spectral traces on the same plot for quick comparisons with previous measurements.

Controls for creating and clearing overlays are located along the right edge of the spectrum view. Up to 6 overlays can be displayed for each channel. In addition, a "Composite" overlay can be set which is computed from other overlays.

Note: You can show/hide the entire set of overlay controls to save space on the plot by clicking the small box on the bottom right corner of the plot.

Spectral Overlay Operations

Clicking one of the numbered "Set" overlay buttons will create an overlay using the contents of the current spectrum. The overlays can be turned On and Off by clicking the checkbox labeled "On".

Clicking the "Options" button brings up a dialog box with additional controls:

Legend: You may enter a descriptive legend up to 24 characters long. This legend is displayed on the spectrum view and printed on any printouts. The legend is saved as part of the overlay file format and restored whenever you load the file from disk.

Offset: You can apply an offset in dB to each overlay; this is useful for aligning overlays for comparison purposes.

Disk Storage: Use these controls to save and load the overlay traces from disk. Temporary overlay files are used for storing the overlay data between sessions. These files are named L1.OVL, L2.OVL, L3.OVL, L4.OVL, L5.OVL, L6.OVL, R1.OVL, R2.OVL, R3.OVL, R4.OVL, R5.OVL and R6.OVL. Do not use these filenames for saving your own data as they will be overwritten. Any offset is NOT included in the saved overlay file contents.

Trace Colors: these controls allow you to select the display colors for each of the overlay traces and legends. These colors are also used when printing the spectrum view on a color printer. If you print to a monochrome printer, each of the overlays will have a unique line style.

Copy to Left/Right Channel: This allows you to quickly copy an overlay to the opposite channel.

Legend Display Size: this value will adjust the width of the rights border of the spectrum plot to show the specified number of legend characters. Space may be reserved for up to 24 characters.

Overlay File Format:

Overlay files can be created manually. Overlay files are simple ASCII text files containing two columns of numbers separated by a tab. The left column contains the frequency; the right column contains the corresponding amplitude value. If a semicolon is placed on the first column, the entire line will be treated as a comment and ignored. Legends are the first line in the file and have a semicolon in the first column. At least 3 data points are required and up to 32768 points can be used.

A cubic spline algorithm is used to interpolate between each data point.

Composite Overlay

Pressing the overlay button labeled "C" will allow you to setup a "Composite" overlay. The composite overlay can be either an average of up to 6 selected overlays or the difference between any 2 selected overlays. Any offset selected for the dependent overlays is applied when the composite values are computed. An offset can also be applied to the composite overlay itself.

Note: You can set the default folder for the overlay files - click the <Print>< Set Paths > menu to access this setting.

Interpolation: When manually creating overlays the results can have unexpected excursions due to the cubic spline interpolation algorithm. You can turn off this algorithm by adding a line to the beginning of the overlay file as follows

;SPLINE OFF


White Noise

White noise is a commonly used random noise waveform which has uniform amplitude for all frequencies. Its averaged spectrum is flat when viewed with narrowband resolution.

The cutoff frequency is governed by the sampling rate used by the analyzer.

See Also: Signal Generator , Pink Noise


Pink Noise

Pink noise is a commonly used random noise waveform in acoustics. It has more energy at the lower frequencies. It's amplitude decreases at a rate of 3dB per octave. Its averaged spectrum is flat when viewed using octave resolution. The cutoff frequency is governed by the sampling rate used by the analyzer.

See Also: White Noise , Signal Generator


1 kHz Tone

This 1,000.0 Hz sinewave is a widely used single test tone.

See Also: Signal Generator , Multiple Tones


Multiple Tones

This signal generator options allows you to configure your own set of tones. The tone waveform consists of up to 10 user defined tonals. You can select the number of active tones, their frequencies and relative amplitudes.

The check box to the left of the frequency setting determines whether or not the tone is enabled. If the box is not checked, the associated tone will not be generated.

The frequency setting determines the tone frequency in cycles per second.

The relative power setting determines the amplitude of the tone compared to the other tones being generated. The power is specified in decibels (dB).

See Also: Signal Generator , 1 kHz Tone


Frequency Sweep

Frequency Sweep (Swept Sine)

The swept sine waveform produces a sine wave which changes frequency over time. The start and stop frequencies determine the limits of the sweep signal. The start frequency can be less than the stop frequency in which case the sweep frequency will decrease over time.

The sweep type can be either Linear or Logarithmic. This determines the rate of change of the sweep frequency.

Jump Back to Start Frequency - when the stop frequency is reached the signal will immediately start again at the start frequency

Sweep Back to Start Frequency - when the stop frequency is reached the signal will sweep back to the start frequency.

Stop After a Single Sweep - the signal generator will stop after the sweep completes; otherwise it will repeat continuously until the generator is stopped.

Sweep Time - specifies how long the frequency takes to change from the start to the stop limits. This value is specified in milliseconds.

Swept sine waveforms are useful for frequency response testing. Set the averaging to Off and use the Peak Hold option to capture the peak amplitude as the signal is swept across the frequency span.

Sweeping too fast will "smear" the amplitude as the signal is rapidly changing frequency.

See Also: Level Step , Signal Generator


Generator Output Level

Clicking on the "Level" button on the signal generator will allow you setup and control the generator output level.

In order to accurately control the generator output level we need to know the "full scale" signal level that your sound card can produce. This is the signal level produced when a 100% full scale 8, 16 or 24 bit sine wave is generated. Because most sound cards have the ability to control the output volume, "full scale" is not necessarily the same thing as the "maximum possible" signal level unless the volume control is set to its maximum value.

If you don't know this full scale level, you can still control the relative output level. This value can be entered in either dB or Percent Full Scale.

If you have a volt meter or scope handy, you can easily measure the full scale output level. Simply set the output level to 0 dB Full Scale and generate a 1kHz tone. Now measure this value and enter the level in Volts RMS.

Keep in mind that if your sound card has a volume control, you will need to reset the output level if the volume control is adjusted. Most sound cards save the volume settings between sessions.


Level Sweep

The level sweep waveform produces a sine wave which changes amplitude over time. You select the start and stop levels in decibels, the tone frequency, and sweep time. The start level can be less than the stop level in which case the signal level will decrease over time.

The sweep time specifies how long the level takes to change from the start to the stop limits. This value is specified in milliseconds. The sweep will repeat continuously until the generator is stopped.

See Also: Frequency Sweep , Signal Generator


Application Notes

Acoustic response of a room


Audio Band

Frequencies in the audible range of hearing (20 to 20,000 Hz)


Averaging Settings

These setting control how the spectral data is averaged.

The averaging algorithm is equivalent to that of a standard Sound Level Meter (SLM). The average speed controls the spectral averaging period and decay time as follows:

  • Off - no averaging is performed.
  • Fast - computes a running average with a decay rate of 32 dB/sec.
  • Medium - computes a running average with a decay rate of 20 dB/sec.
  • Slow - computes a running average with a decay rate of 4 dB/sec.
  • Forever - accumulates the data for as long as the analyzer is running.

Notes:

The averaging speed can be modified while processing by using the "Averaging" controls on the sidebar.

See also: Peak Hold


FFT

FFT is an abbreviation for a Fast Fourier Transform.

The Fourier Transform is a mathematical tool developed and named after Jean Baptiste Fourier (1768 - 1830) and is commonly used to convert a signal from the time domain (amplitude-vs-time) to the frequency domain (amplitude-vs-frequency). A frequency domain plot is also known as a spectra plot.

The Fast Fourier Transform (FFT) is a computationally efficient implementation of the Fourier Transform developed by J.W. Cooley and J.W. Tukey in 1965. The Fast Fourier Transform is limited to block sizes which are even powers of 2.

For example, if a FFT is performed on a pure sinusoidal signal, the resulting spectra would be single peak (line). Real world signals are a composite of many sinusoidal signals; examining the signal's spectra clearly shows the frequency tones which are present.


SpectraDAQ-200

The SpectraDAQ-200 precision sound card is optimized for use with the analyzer. It has been specifically designed for test and measurement applications with special features for controlling the input voltagte range, IEPE power for transducers and direct calibration. When the SpectraDAQ-200 is selected as the input device the following options are available in the Processing Settings dialog box:

I/O Device tab:

Input Range: This allows you to set the maximum input voltage for the A/D converters. If you change the input range the calibration will automatically apply the correct gain to the measurement. The input range is applied to both channels.

IEPE power: You can enable IEPE power (4ma constant current) for powering microphones, accelerometers and other IEPE compliant transducers. This eliminates the need for an external power supply and simplifies the setup and wiring. IEPE is equivalent to ICP (a trademark of PCB Electronics).

For best performance use the ASIO driver mode when the SpectraDAQ-200 hardware is selected

Calibration tab:

Because the SpectraDAQ-200 has fixed input gain ranges, the analzyer can be easily calibrated. There are two calibration methods that are available when the SpectraDAQ hardware is selected:

Internal Hardware Calibration: Allows you to calibrate the analzyer to Volts, Millivolts or dBu.

Directly to Transducer Sensitivity: Allows you to calibrate using the sensitivity of the microphone, accelerometer or hyrdophone. The analyzer will convert the detected voltage to the corresponding engineering units based on this sensitivity.

If you change the input voltage range the analzyer will automatically recalculate the internal calibration values for you. This applies for all calibration methods including the External Reference method when the SpectraDAQ-200 hardware is used.


Frequency Step

Frequency Step (stepped sine)

The frequency step waveform produces a sine wave which changes frequency over time in discrete steps. The start and stop frequencies determine the limits of the signal. The start frequency can be less than the stop frequency in which case the frequency will decrease over time.

The step size can be either Linear or Octave (logarithmic).

Linear Steps - specify the step size in Hz. This works best when narrowband scaling is used on the analzyer.

Octave Steps - specify the fractional octave steps size to use. This works best when the octave scaling is used on the analyzer.

Jump Back to Start Frequency - when the stop frequency is reached the signal will immediately start again at the start frequency

Sweep Back to Start Frequency - when the stop frequency is reached the signal will step back to the start frequency.

Stop After a Single Pass - the signal generator will stop after the sequence completes; otherwise it will repeat continuously until the generator is stopped.

Dwell Time - specifies how long the signal stays at each step in the sequence. This value is specified in milliseconds.

Stepped sine waveforms are useful for frequency response testing. Set the averaging to Off and use the Peak Hold option to capture the peak amplitude as the signal is stepped across the frequency span.

See Also: Freq Sweep , Signal Generator


Markers

Markers are used to highlight specific frequencies of interest.

Click the "Mrk" button on the Spectrum plot toolbar to access the marker settings dialog box.

Labels can be applied to the markers. If custom labeling is selected, you may enter up to 30 characters of text.

Markers can also be set graphically by clicking the right mouse button in the spectrum view. This will bring up the Right Click Action Menu . Choosing one of the "Set Marker #" commands will set the marker frequency corresponding to the mouse click position. The "Clear All Markers" option will simply hide all markers; they can be reactivated by enabling them in the <Options><Markers> dialog box.


Peak Hold

When Peak Hold is used, the analyzer will display a secondary trace showing the highest amplitude values for each frequency. Selecting Fast, Medium or Slow will cause the peak hold values to temporarily hold before resetting. Forever will hold the values without releasing them. Stopping and restarting the processor will reset the peak hold values. A single left click on the sidebar will also reset the peak hold buffer.

Peak Hold can be controlled from either the Spectrum Plot Options dialog box or directly from the toolbar .

See also: Averaging Settings


Sampling Format

An important factor in determining the quality of the sampled sound is the number of bits per sample. This specifies the number of discrete levels that are used in the analog to digital (A/D) conversion process and directly affects the dynamic range of the measurement. The theoretical dynamic range is shown below:

16 bit sampling precision = 96 dB

24 bit sampling precision = 144 dB

In practice, the achievable dynamic range is less that the theoretical maximum due to internal noise and other factors. Refer to your sound card documentation for the actual performance figures.

When "Mono" is selected, you should connect the test signal to the left channel on your sound card. This is normally the tip on a standard 1/8" stereo connector. Consult your sound card documentation for further details.

See also: Measurement Accuracy


Sampling Rate

SpectraPLUS-RT allows you to select any Sampling Rate supported by your sound card. The measured frequency range is always 0 to 1/2 the Sampling Rate.

The Sampling Rate determines how many times a second that the analog input signal is "sampled" or digitized by the sound card. A sampling rate of 10,000 Hz will sample the signal every .0001 second. The possible range of sampling rates are limited by the capability of your sound card.

An important principal from digital signal processing is the "Nyquist Sampling Theorem" which states that any signal can be represented if sampled at least twice the rate of the highest frequency of interest. This means that if you wish to measure a 3,000 Hz signal, the sampling rate must be greater than 6,000 Hz.


Standard Frequency Weighting

ANSI standard A, B and C weighting curves can be applied to the spectral data and/or to the total power value. The total power setting affects the values shown in the total power utility and on the total power bar along the right side of the spectrum view if enabled. Flat is equivalent to no weighting at all. Weighting functions emphasize frequencies in the 500 to 10,000 Hz range, which is the area of greatest sensitivity to the human ear.

See also: Octave